Subject: bug#39808: 28.0.50; toolbar broken

From: Robert Pluim <[email-masked]>
Date: Thu, 27 Feb 2020 17:43:46 +0100

>>>>> On Thu, 27 Feb 2020 11:19:53 -0500, Stefan Monnier <[email-masked]> said:

    >> Iʼve bisected this down to:
    >> 
    >> 3b4bd4be1dfa8717cb6911bd57c4c7d9d13614b4
    >> 
    >> * 3b4bd4be1d (HEAD, refs/bisect/bad) * src/keyboard.c (make_lispy_event):
    >> Generate proper tool-bar events.
    >> |     - Stefan Monnier <[email-masked]>

    Stefan> Looks like my grep-fu was very weak, indeed.

The '.m' used by the NS files always trips me up.

    Stefan> I installed the patch below, which should hopefully fix the problem for
    Stefan> Gtk and NS builds,

That fixes it for GTK. For NS, the buffer does not get killed, and I
get the following in the terminal:

2020-02-27 17:40:03.139 emacs[41579:935742] -[NSControlAuxiliary
modifierFlags]: unrecognized selector sent to instance 0x7fd582c6c8c0

To be fair, it might have been doing this before: I never run with the
tool bar.

Robert